const path = require('path');

const mailgoRules = [
	{
		test: /\.tsx?$/,
		include: path.resolve(__dirname, './src/'),
		use: [ 'babel-loader' ],
		exclude: /node_modules/
	},
	{
		test: /\.scss$/i,
		use: [
			'to-string-loader',
			{
				loader: 'css-loader',
				options: {
					esModule: false,
					sourceMap: false
				}
			},
			'sass-loader'
		]
	}
];

module.exports = [
	{
		mode: 'production',
		target: 'web',
		entry: './mailgo.dist.ts',
		context: path.join(__dirname, 'webpack'),
		module: {
			rules: mailgoRules
		},
		resolve: {
			extensions: [ '.ts', '.js' ]
		},
		output: {
			filename: 'mailgo.min.js',
			library: 'mailgo',
			libraryTarget: 'window',
			path: path.resolve(__dirname, 'dist')
		}
	}
];
